AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- Interactions

## Index

### Constructors

- constructor

### Methods

- addPluggable
- configure
- getModuleName
- onComplete
- send

## Constructors

### constructor

- new Interactions(options: InteractionsOptions): Interactions

- - Defined in interactions/src/Interactions.ts:22

  Initialize PubSub with AWS configurations

  #### Parameters

  - ##### options: InteractionsOptions

    Configuration object for Interactions

  #### Returns Interactions

## Methods

### addPluggable

- addPluggable(pluggable: InteractionsProvider): void

- - Defined in interactions/src/Interactions.ts:76

  #### Parameters

  - ##### pluggable: InteractionsProvider

  #### Returns void

### configure

- configure(options: InteractionsOptions): any

- - Defined in interactions/src/Interactions.ts:44

  #### Parameters

  - ##### options: InteractionsOptions

    Configuration object for Interactions

  #### Returns any

  - The current configuration

### getModuleName

- getModuleName(): string

- - Defined in interactions/src/Interactions.ts:35

  #### Returns string

### onComplete

- onComplete(botname: string, callback: function): void

- - Defined in interactions/src/Interactions.ts:103

  #### Parameters

  - ##### botname: string

  - ##### callback: function

    - - (err: any, confirmation: any): void

      - #### Parameters

        - ##### err: any

        - ##### confirmation: any

        #### Returns void

### send

- send(botname: string, message: string | Object): Promise<any>

- - Defined in interactions/src/Interactions.ts:88

  #### Parameters

  - ##### botname: string

  - ##### message: string | Object

  #### Returns Promise<any>